    import ChampionEndpoint from 'kayn/lib/Endpoints/ChampionEndpoint.js'

public class | source

# ChampionEndpoint

#### Extends:

Endpoint~Endpoint → PlatformSuperclass → ChampionEndpoint

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | config: * |
public | limiter: * |
public | serviceName: string |

## Method Summary

Public Methods
public | get(championID: number): * Retrieve champion by ID. |
public | list(): * Retrieve all champions. |

## Inherited Summary

From class PlatformSuperclass
public | serviceName: string |

## Public Constructors

### public constructor() source

#### Override:

PlatformSuperclass#constructor

## Public Members

### public config: * source

### public limiter: * source

### public serviceName: string source

#### Override:

PlatformSuperclass#serviceName

## Public Methods

### public get(championID: number): * source

Retrieve champion by ID.

Implements GET `/lol/platform/v3/champions/{id}`.

#### Params:

Name | Type | Attribute | Description
championID | number |  | The ID of the champion.

#### Return:

*

### public list(): * source

Retrieve all champions.

Implements GET `/lol/platform/v3/champions`.

#### Return:

*